Subject: Re: bug#22481: 25.1.50; vc-hg: emacs "deadlocks" after using hg with huge amounts of ignored files in the repo

From: Jan Synacek <[email-masked]>
Date: Fri, 29 Jan 2016 09:42:32 +0100

Dmitry Gutov <[email-masked]> writes:

> On 01/28/2016 12:10 PM, Jan Synacek wrote:
>
>> Emacs freezes because it's running 'hg status -mardui -C <files>'. The
>> '-i' is the problem here. Since it takes hg itself a very long time, I'm
>> not sure if it can be directly fixed in Emacs. But at least a
>> configuration option that would allow one to disable the "-i" option
>> would be nice.
>
> Haven't we fixed this already? See 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19304, I've fixed what I 
> could reproduce.

Please, try my reproducer. The refresh *after* committing a message
tries to display the ignored files.

-- 
Jan Synacek
Software Engineer, Red Hat